package org.benchkit;

/**
 * An abstract class that implements {@link Benchmark} and stubs out
 * {@link #setUp()} and {@link #tearDown()}.
 * 
 * @author cvh
 */
public abstract class SimpleBenchmark implements Benchmark {

  @Override
  public void setUp() {
  }

  @Override
  public void tearDown() throws Exception {
  }
}
