package org.benchkit;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;

public class WarmupPrintingReporter extends PrintingReporter {
  private final ByteArrayOutputStream sout;
  
  public WarmupPrintingReporter() {
    this(new ByteArrayOutputStream());
  }
  
  private WarmupPrintingReporter(ByteArrayOutputStream sout) {
    super(new PrintStream(sout));
    this.sout = sout;
  }

  @Override
  public void clear() {
    super.clear();
    sout.reset();
  }
}
