package org.benchkit.htmlchartsreporter;

import java.util.Collection;
import java.util.List;

public interface ChartRender {

  public abstract void calibrate(Collection<Chart> charts);

  public abstract void renderData(Chart data, Template tpl, List<String> outputs);

  public abstract void renderPanels(Chart chart, Template panelTpl, Template headlineTpl, List<String> divs);

}